Commit 30c67243 authored by Lorenzo "Palinuro" Faletra's avatar Lorenzo "Palinuro" Faletra
Browse files

Import Debian changes 4.14.13-1parrot13

linux (4.14.13-1parrot13) testing; urgency=medium

  * Import new Debian release.
  * Re-include parrot-specific patches.
  * Add libelf-dev as a recommended package of linux-image-* packages.
parent c764d2ff
This diff is collapsed.
......@@ -8,7 +8,7 @@ tp3
(dp4
Vabiname
p5
V3
Vparrot13
p6
sVignore-changes
p7
......@@ -2707,7 +2707,7 @@ tp1432
(dp1433
Vsource
p1434
V4.14.13-1
V4.14.13-1parrot13
p1435
sVupstream
p1436
......@@ -2719,6 +2719,6 @@ V4.14.0
p1439
sVabiname
p1440
V4.14.0-3
V4.14.0-parrot13
p1441
ss.
\ No newline at end of file
......@@ -5951,8 +5951,8 @@ CONFIG_MODULE_SIG_SHA256=y
##
## choice: Timer frequency
# CONFIG_HZ_100 is not set
CONFIG_HZ_250=y
# CONFIG_HZ_300 is not set
CONFIG_HZ_300=y
# CONFIG_HZ_250 is not set
# CONFIG_HZ_1000 is not set
## end choice
......
[abi]
abiname: 3
abiname: parrot13
ignore-changes:
__cpuhp_*
__xive_vm_h_*
......
This diff is collapsed.
48e48b23af97cce8069f0eaed1bfa016 debian/bin/gencontrol.py
9f0e9ddfbee649ad0e91f136be1bc432 debian/changelog
91098f13d4635debfd52ca2ddd335ea7 debian/changelog
e492c730e8bc71cc52aa5315391e587e debian/templates/control.main.in
8ff553ff7232b003c35bdd074913bc8a debian/templates/control.image-unsigned.in
38004750aa03cea41d5d3aeafff16fcc debian/templates/image.preinst.in
afb508873a44a1f196c2a525fec4b415 debian/templates/image.prerm.in
a4a60fc48b3240e46bbac6a1ddcaad30 debian/templates/image.postrm.in
0d7f6ea42f52d0a6013535a80111ee3e debian/templates/headers.postinst.in
63c0d01ea032d0acfa5e069d31daa938 debian/templates/control.libc-dev.in
761ffc83b2e52f84742840d9f69907d9 debian/templates/control.tools.in
ae49ef5fe8221e8aa846a8dd8faaed0e debian/templates/control.image.in
814dda166c7e3ef02e6e259e805ac66a debian/templates/tests-control.main.in
54426b6625c1bbf41ff6e05eebc06f89 debian/templates/image-dbg.lintian-overrides.in
0d7f6ea42f52d0a6013535a80111ee3e debian/templates/headers.postinst.in
51797b6c275eb14e99009e78553904cc debian/templates/perf.lintian-overrides.in
8ff553ff7232b003c35bdd074913bc8a debian/templates/control.image-unsigned.in
0b664b3c0e5e408afe9354dd75f5844f debian/templates/control.image.in
2e5bb43f2fceef492df4dc5ce5d3dddc debian/templates/control.image-dbg.in
00e32632de69d29febd3ff7c50a3d4a0 debian/templates/control.source.in
63c0d01ea032d0acfa5e069d31daa938 debian/templates/control.libc-dev.in
60bae1e8bd5d649e6383cd11a29d88a6 debian/templates/control.source.in
46cc93799a6214c79efea8084bc9a329 debian/templates/control.headers.featureset.in
814dda166c7e3ef02e6e259e805ac66a debian/templates/tests-control.main.in
0327750d6696dee915a532aec73a0fd6 debian/templates/image.postinst.in
1f4bb0ed222b9bb0b25fbd0c76c233f7 debian/templates/control.headers.in
7d3be7fb5e09c81c5fdf25f458544604 debian/templates/control.extra.in
3ad9d915221b575d758fc3acfd3f89c2 debian/templates/control.docs.in
5f1df5cd150d7663b81f5c54a604a766 debian/templates/control.headers.arch.in
3ea57d85d2c60cb81f69a3259e71a185 debian/config/defines
1e342dc96d2d76c25c1b3cf8c92da296 debian/config/defines
a000f404eaf61a0ee8cd29c388ee7b70 debian/config/i386/defines
6f7d102847d8168a3c71c044ea7127ac debian/config/tilegx/defines
6efeb6f3f8ad4ecef3fff0d012fabad0 debian/config/mips64el/defines
8f2e4969633ff660d026f2b7e02e6336 debian/config/sh3/defines
ff1f9b857ee6f0c977d2f8541211a9f5 debian/config/mipsr6/defines
b66470c0288ee57b7a1e016a1da98da0 debian/config/armhf/defines
a7310a150e1e732220d25333adbcc0b4 debian/config/amd64/defines
4987bf8df1bf042f19fdec4da87aa1d4 debian/config/ppc64el/defines
f74b224857e0111bf2e14b124b3e2be2 debian/config/mipsr6el/defines
12c5f99fafdfd2d3696623ba86b2cc46 debian/config/mips/defines
3d514fbbc086aae2b520554dd995a705 debian/config/arm64/defines
......@@ -42,14 +42,14 @@ c8677acd57ee1da9d592d7e1ce7ac3d7 debian/config/mips64/defines
788bca75e2379d4c6a5f937db95cf8dc debian/config/sparc64/defines
e893f7044a89425752b95b8c997938e9 debian/config/mipsel/defines
2d093d5d5d6dd1e2b27d717678cb9ece debian/config/sh4/defines
07a18ea6a8a40898c680905e01c56623 debian/config/hppa/defines
ff1f9b857ee6f0c977d2f8541211a9f5 debian/config/mipsr6/defines
92c952083bf0523c5cdffe9f2e7dd300 debian/config/powerpcspe/defines
c638a9aa39b4381c3d1e4e10edcc97d4 debian/config/m68k/defines
47cac5237bbbf40994bdbd502708e287 debian/config/s390x/defines
882fb0fec3cbd0239817994223fa71e5 debian/config/mipsn32r6/defines
4069594eeb2a1856c6806812055249b2 debian/config/alpha/defines
73e2f095b2485f95bc164bf685684a47 debian/config/mipsn32r6el/defines
4987bf8df1bf042f19fdec4da87aa1d4 debian/config/ppc64el/defines
07a18ea6a8a40898c680905e01c56623 debian/config/hppa/defines
5b69238f35e2a552a194757eb5803150 debian/config/armel/defines
98673c303524a87722b25c9e6b8cdd81 debian/config/mips64r6/defines
3e673c1434c6132c73c0cfb4bfe38763 debian/config/arm64ilp32/defines
......
hyperv-daemon for Debian
------------------------
If you want to change screen resolution on Linux guest,
plese update kernel parameter.
1. edit /etc/default/grub file
- add 'video=hyperv_fb:"horizontal"x"vertical"' to
'GRUB_CMDLINE_LINUX_DEFAULT=' or 'GRUB_CMDLINE_LINUX=' line
(e.g. GRUB_CMDLINE_LINUX=video=hyperv_fb:1280x1024)
2. then, exec update-grub
3. reboot Linux guest
-- Hideki Yamane <henrich@debian.org> Thu, 28 May 2015 10:23:52 +0900
#! /bin/sh
### BEGIN INIT INFO
# Provides: hyperv-daemons.hv-fcopy-daemon
# Required-Start: $remote_fs $syslog
# Required-Stop: $remote_fs $syslog
# Default-Start: 2 3 4 5
# Default-Stop: 0 1 6
# Short-Description: Hyper-V file copy service (FCOPY) daemon
### END INIT INFO
PATH=/sbin:/usr/sbin:/bin:/usr/bin
DESC="Hyper-V file copy service (FCOPY) daemon"
NAME=hv_fcopy_daemon
DAEMON=/usr/sbin/$NAME
PIDFILE=/run/$NAME.pid
SCRIPTNAME=/etc/init.d/hyperv-daemons.hv-fcopy-daemon
# Exit if the package is not installed
[ -x "$DAEMON" ] || exit 0
# Exit if we are not running under Hyper-V or the kernel device does not exist
/lib/hyperv-daemons/check-hyperv || exit 0
[ -e "/dev/vmbus/hv_fcopy" ] || exit 0
# Load the VERBOSE setting and other rcS variables
. /lib/init/vars.sh
# Define LSB log_* functions.
. /lib/lsb/init-functions
#
# Function that starts the daemon/service
#
do_start()
{
# Return
# 0 if daemon has been started
# 1 if daemon was already running
# 2 if daemon could not be started
start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON --test > /dev/null \
|| return 1
start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON --background --make-pidfile -- -n \
|| return 2
}
#
# Function that stops the daemon/service
#
do_stop()
{
# Return
# 0 if daemon has been stopped
# 1 if daemon was already stopped
# 2 if daemon could not be stopped
# other if a failure occurred
start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --pidfile $PIDFILE --name $NAME
[ "$?" = 2 ] && return 2
start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/5 --exec $DAEMON
RETVAL=$?
[ "$RETVAL" = 2 ] && return 2
# Many daemons don't delete their pidfiles when they exit.
rm -f $PIDFILE
return "$RETVAL"
}
case "$1" in
start)
[ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC" "$NAME"
do_start
case "$?" in
0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
esac
;;
stop)
[ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME"
do_stop
case "$?" in
0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
esac
;;
status)
status_of_proc -p "$PIDFILE" "$DAEMON" "$NAME"
;;
restart|force-reload)
log_daemon_msg "Restarting $DESC" "$NAME"
do_stop
case "$?" in
0|1)
do_start
case "$?" in
0) log_end_msg 0 ;;
1) log_end_msg 1 ;; # Old process is still running
*) log_end_msg 1 ;; # Failed to start
esac
;;
*)
# Failed to stop
log_end_msg 1
;;
esac
;;
*)
echo "Usage: $SCRIPTNAME {start|stop|status|restart|force-reload}" >&2
exit 3
;;
esac
:
[Unit]
Description=Hyper-V file copy service (FCOPY) daemon
ConditionVirtualization=microsoft
ConditionPathExists=/dev/vmbus/hv_fcopy
[Service]
ExecStart=/usr/sbin/hv_fcopy_daemon -n
[Install]
WantedBy=multi-user.target
#! /bin/sh
### BEGIN INIT INFO
# Provides: hyperv-daemons.hv-kvp-daemon
# Required-Start: $remote_fs $syslog
# Required-Stop: $remote_fs $syslog
# Default-Start: 2 3 4 5
# Default-Stop: 0 1 6
# Short-Description: Hyper-V key-value pair (KVP) daemon
### END INIT INFO
PATH=/sbin:/usr/sbin:/bin:/usr/bin
DESC="Hyper-V key-value pair (KVP) daemon"
NAME=hv_kvp_daemon
DAEMON=/usr/sbin/$NAME
PIDFILE=/run/$NAME.pid
SCRIPTNAME=/etc/init.d/hyperv-daemons.hv-kvp-daemon
# Exit if the package is not installed
[ -x "$DAEMON" ] || exit 0
# Exit if we are not running under Hyper-V
/lib/hyperv-daemons/check-hyperv || exit 0
# Load the VERBOSE setting and other rcS variables
. /lib/init/vars.sh
# Define LSB log_* functions.
. /lib/lsb/init-functions
#
# Function that starts the daemon/service
#
do_start()
{
# Return
# 0 if daemon has been started
# 1 if daemon was already running
# 2 if daemon could not be started
start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON --test > /dev/null \
|| return 1
start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON --background --make-pidfile -- -n \
|| return 2
}
#
# Function that stops the daemon/service
#
do_stop()
{
# Return
# 0 if daemon has been stopped
# 1 if daemon was already stopped
# 2 if daemon could not be stopped
# other if a failure occurred
start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --pidfile $PIDFILE --name $NAME
[ "$?" = 2 ] && return 2
start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/5 --exec $DAEMON
RETVAL=$?
[ "$RETVAL" = 2 ] && return 2
# Many daemons don't delete their pidfiles when they exit.
rm -f $PIDFILE
return "$RETVAL"
}
case "$1" in
start)
[ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC" "$NAME"
do_start
case "$?" in
0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
esac
;;
stop)
[ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME"
do_stop
case "$?" in
0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
esac
;;
status)
status_of_proc -p "$PIDFILE" "$DAEMON" "$NAME"
;;
restart|force-reload)
log_daemon_msg "Restarting $DESC" "$NAME"
do_stop
case "$?" in
0|1)
do_start
case "$?" in
0) log_end_msg 0 ;;
1) log_end_msg 1 ;; # Old process is still running
*) log_end_msg 1 ;; # Failed to start
esac
;;
*)
# Failed to stop
log_end_msg 1
;;
esac
;;
*)
echo "Usage: $SCRIPTNAME {start|stop|status|restart|force-reload}" >&2
exit 3
;;
esac
:
[Unit]
Description=Hyper-V key-value pair (KVP) daemon
ConditionVirtualization=microsoft
[Service]
ExecStart=/usr/sbin/hv_kvp_daemon -n
[Install]
WantedBy=multi-user.target
#! /bin/sh
### BEGIN INIT INFO
# Provides: hyperv-daemons.hv-vss-daemon
# Required-Start: $remote_fs $syslog
# Required-Stop: $remote_fs $syslog
# Default-Start: 2 3 4 5
# Default-Stop: 0 1 6
# Short-Description: Hyper-V volume shadow copy service (VSS) daemon
### END INIT INFO
PATH=/sbin:/usr/sbin:/bin:/usr/bin
DESC="Hyper-V volume shadow copy service (VSS) daemon"
NAME=hv_vss_daemon
DAEMON=/usr/sbin/$NAME
PIDFILE=/run/$NAME.pid
SCRIPTNAME=/etc/init.d/hyperv-daemons.hv-vss-daemon
# Exit if the package is not installed
[ -x "$DAEMON" ] || exit 0
# Exit if we are not running under Hyper-V
/lib/hyperv-daemons/check-hyperv || exit 0
# Load the VERBOSE setting and other rcS variables
. /lib/init/vars.sh
# Define LSB log_* functions.
. /lib/lsb/init-functions
#
# Function that starts the daemon/service
#
do_start()
{
# Return
# 0 if daemon has been started
# 1 if daemon was already running
# 2 if daemon could not be started
start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON --test > /dev/null \
|| return 1
start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON --background --make-pidfile -- -n \
|| return 2
}
#
# Function that stops the daemon/service
#
do_stop()
{
# Return
# 0 if daemon has been stopped
# 1 if daemon was already stopped
# 2 if daemon could not be stopped
# other if a failure occurred
start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --pidfile $PIDFILE --name $NAME
[ "$?" = 2 ] && return 2
start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/5 --exec $DAEMON
RETVAL=$?
[ "$RETVAL" = 2 ] && return 2
# Many daemons don't delete their pidfiles when they exit.
rm -f $PIDFILE
return "$RETVAL"
}
case "$1" in
start)
[ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC" "$NAME"
do_start
case "$?" in
0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
esac
;;
stop)
[ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME"
do_stop
case "$?" in
0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
esac
;;
status)
status_of_proc -p "$PIDFILE" "$DAEMON" "$NAME"
;;
restart|force-reload)
log_daemon_msg "Restarting $DESC" "$NAME"
do_stop
case "$?" in
0|1)
do_start
case "$?" in
0) log_end_msg 0 ;;
1) log_end_msg 1 ;; # Old process is still running
*) log_end_msg 1 ;; # Failed to start
esac
;;
*)
# Failed to stop
log_end_msg 1
;;
esac
;;
*)
echo "Usage: $SCRIPTNAME {start|stop|status|restart|force-reload}" >&2
exit 3
;;
esac
:
[Unit]
Description=Hyper-V volume shadow copy service (VSS) daemon
ConditionVirtualization=microsoft
[Service]
ExecStart=/usr/sbin/hv_vss_daemon -n
[Install]
WantedBy=multi-user.target
debian/hyperv-daemons.*.service lib/systemd/system/
usr/include/*
usr/lib/lib*.so
libcpupower.so.1 libcpupower1 #MINVER#
cpu_topology_release@Base 4.7~rc2-1~exp1
cpufreq_get_affected_cpus@Base 4.7~rc2-1~exp1
cpufreq_get_available_frequencies@Base 4.7~rc2-1~exp1
cpufreq_get_available_governors@Base 4.7~rc2-1~exp1
cpufreq_get_driver@Base 4.7~rc2-1~exp1
cpufreq_get_freq_hardware@Base 4.7~rc2-1~exp1
cpufreq_get_freq_kernel@Base 4.7~rc2-1~exp1
cpufreq_get_hardware_limits@Base 4.7~rc2-1~exp1
cpufreq_get_policy@Base 4.7~rc2-1~exp1
cpufreq_get_related_cpus@Base 4.7~rc2-1~exp1
cpufreq_get_stats@Base 4.7~rc2-1~exp1
cpufreq_get_transition_latency@Base 4.7~rc2-1~exp1
cpufreq_get_transitions@Base 4.7~rc2-1~exp1
cpufreq_modify_policy_governor@Base 4.7~rc2-1~exp1
cpufreq_modify_policy_max@Base 4.7~rc2-1~exp1
cpufreq_modify_policy_min@Base 4.7~rc2-1~exp1
cpufreq_put_affected_cpus@Base 4.7~rc2-1~exp1
cpufreq_put_available_frequencies@Base 4.7~rc2-1~exp1
cpufreq_put_available_governors@Base 4.7~rc2-1~exp1
cpufreq_put_driver@Base 4.7~rc2-1~exp1
cpufreq_put_policy@Base 4.7~rc2-1~exp1
cpufreq_put_related_cpus@Base 4.7~rc2-1~exp1
cpufreq_put_stats@Base 4.7~rc2-1~exp1
cpufreq_set_frequency@Base 4.7~rc2-1~exp1
cpufreq_set_policy@Base 4.7~rc2-1~exp1
cpuidle_get_driver@Base 4.7~rc2-1~exp1
cpuidle_get_governor@Base 4.7~rc2-1~exp1
cpuidle_is_state_disabled@Base 4.7~rc2-1~exp1
cpuidle_state_count@Base 4.7~rc2-1~exp1
cpuidle_state_desc@Base 4.7~rc2-1~exp1
cpuidle_state_disable@Base 4.7~rc2-1~exp1
cpuidle_state_latency@Base 4.7~rc2-1~exp1
cpuidle_state_name@Base 4.7~rc2-1~exp1
cpuidle_state_time@Base 4.7~rc2-1~exp1
cpuidle_state_usage@Base 4.7~rc2-1~exp1
cpupower_is_cpu_online@Base 4.7~rc2-1~exp1
get_cpu_topology@Base 4.7~rc2-1~exp1
sysfs_read_file@Base 4.7~rc2-1~exp1
liblockdep for Debian
---------------------
liblockdep does not have proper documentation, but these articles
provide an introduction:
https://lwn.net/Articles/536363/
http://www.vctlabs.com/posts/2014/Jul/09/liblockdep/
'lockdep-design.txt' explains some more detail about what lockdep
does, both in the kernel and as liblockdep.
-- Ben Hutchings <ben@decadent.org.uk>, Fri, 14 Aug 2015 14:22:55 +0200
Documentation/locking/lockdep-design.txt
usr/include/liblockdep
usr/lib/*/liblockdep.a
usr/lib/*/liblockdep.so
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment